## gr-air-modes 0.0.0.e47992d

=== CMakeLists.txt ===
# Copyright 2011,2013 Free Software Foundation, Inc.
# 
# This file is part of GNU Radio
# 
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
# 
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(gr-gr-air-modes CXX)
set(gr-gr-air-modes_VERSION_MAJOR 0)
set(gr-gr-air-modes_VERSION_MINOR 0)
enable_testing()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

########################################################################
# Find boost
########################################################################
include(GrBoost)

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX
set(GR_RUNTIME_DIR      bin)
set(GR_LIBRARY_DIR      lib${LIB_SUFFIX})
set(GR_INCLUDE_DIR      include)
set(GR_DATA_DIR         share)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_DOC_DIR          ${GR_DATA_DIR}/doc)
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_CONF_DIR         etc)
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_LIBEXEC_DIR      libexec)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})
set(GRC_BLOCKS_DIR      ${GR_PKG_DATA_DIR}/grc/blocks)

########################################################################
# Find gnuradio build dependencies
########################################################################
find_package(GnuradioRuntime)

if(NOT GNURADIO_RUNTIME_FOUND)
    message(FATAL_ERROR "GnuRadio Runtime required to compile gr-air-modes")
endif()

########################################################################
# Find ZMQ and get version
########################################################################
include(FindZeroMQ)
if(NOT ZEROMQ_FOUND)
    message(FATAL_ERROR "ZMQ not found.")
endif()

########################################################################
# Find PyZMQ bindings
########################################################################
include(GrPython)
GR_PYTHON_CHECK_MODULE("PyZMQ" "zmq" "int(zmq.__version__.split('.')[0]) >= 13" PYZMQ_FOUND)
if(NOT PYZMQ_FOUND)
    message(FATAL_ERROR "Python ZMQ bindings not found.")
endif()

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${Boost_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
    ${GNURADIO_RUNTIME_LIBRARY_DIRS}
)

# Set component parameters
set(GR_GR-AIR-MODES_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
set(GR_GR-AIR-MODES_SWIG_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/swig CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/gr_air_modes)
add_subdirectory(lib)
add_subdirectory(swig)
add_subdirectory(python)
add_subdirectory(grc)
add_subdirectory(apps)
add_subdirectory(docs)
add_subdirectory(res)

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
# 
# This file is part of GNU Radio
# 
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
# 
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    altitude.py
    az_map.py
    cpr.py
    html_template.py
    mlat.py
    exceptions.py
    flightgear.py
    gui_model.py
    kml.py
    parse.py
    msprint.py
    radio.py
    raw_server.py
    rx_path.py
    sbs1.py
    sql.py
    types.py
    zmq_socket.py
    Quaternion.py
    DESTINATION ${GR_PYTHON_DIR}/air_modes
)

########################################################################
# Handle the unit tests
########################################################################
#include(GrTest)

#set(GR_TEST_TARGET_DEPS gnuradio-gr-air-modes)
#set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)
#GR_ADD_TEST(qa_gr-air-modes ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_gr-air-modes.py)

=== res/CMakeLists.txt ===
# Copyright 2011,2013 Free Software Foundation, Inc.
# 
# This file is part of GNU Radio
# 
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
# 
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

find_package(PyQt4)
if(NOT PYQT4_FOUND)
    message(STATUS "PyQt4 not found, not installing GUI application")
    return()
endif()

if(NOT PYUIC4_FOUND)
    message(STATUS "pyuic4 not found, not installing GUI application")
    return()
endif()

find_package(Qwt)
if(NOT QWT_FOUND)
    message(STATUS "Qwt not found, not installing GUI application")
    return()
endif()

set(RX_UI_SRC ${CMAKE_CURRENT_SOURCE_DIR}/modes_rx.ui)
set(RX_UI_PY_PRE_MASSAGE ${CMAKE_CURRENT_BINARY_DIR}/modes_rx_ui_borked.py)
set(RX_UI_PY ${CMAKE_CURRENT_BINARY_DIR}/modes_rx_ui.py)
set(PYUIC_MASSAGER sed "s/from qwt.* import/from PyQt4.Qwt5.Qwt import/")

add_custom_target(rx_ui ALL
    DEPENDS ${RX_UI_PY}
)

add_custom_command(OUTPUT ${RX_UI_PY_PRE_MASSAGE}
    COMMAND ${PYUIC4_EXECUTABLE} ${RX_UI_SRC} > ${RX_UI_PY_PRE_MASSAGE}
    MAIN_DEPENDENCY ${RX_UI_SRC}
)

add_custom_command(OUTPUT ${RX_UI_PY}
    COMMAND ${PYUIC_MASSAGER} ${RX_UI_PY_PRE_MASSAGE} > ${RX_UI_PY}
    MAIN_DEPENDENCY ${RX_UI_PY_PRE_MASSAGE}
)

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    ${RX_UI_PY}
    DESTINATION ${GR_PYTHON_DIR}/air_modes
)

########################################################################
# Handle the unit tests
########################################################################
#include(GrTest)

#set(GR_TEST_TARGET_DEPS gnuradio-gr-air-modes)
#set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)
#GR_ADD_TEST(qa_gr-air-modes ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_gr-air-modes.py)

=== swig/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include swig generation macros
########################################################################
find_package(SWIG)
find_package(PythonLibs)
if(NOT SWIG_FOUND OR NOT PYTHONLIBS_FOUND)
    return()
endif()
include(GrSwig)
include(GrPython)

########################################################################
# Setup swig generation
########################################################################
foreach(incdir ${GNURADIO_RUNTIME_INCLUDE_DIRS})
    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/gnuradio/swig)
endforeach(incdir)

set(GR_SWIG_LIBRARIES air_modes)
#set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/gr-air-modes_swig_doc.i)
#set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include)

GR_SWIG_MAKE(air_modes_swig air_modes.i)

########################################################################
# Install the build swig module
########################################################################
GR_SWIG_INSTALL(TARGETS air_modes_swig DESTINATION ${GR_PYTHON_DIR}/air_modes)

########################################################################
# Install swig .i files for development
########################################################################
#install(
#    FILES
#    air_modes.i
#${CMAKE_CURRENT_BINARY_DIR}/air_modes_swig_doc.i
#    DESTINATION $(GR_INCLUDE_DIR)/air_modes/swig
#)

=== debian/changelog ===
gr-air-modes (0.0.0.e47992d-3) unstable; urgency=low

  * Depends on python-zmq (Closes: #734119)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 03 Jan 2014 19:03:54 -0500

gr-air-modes (0.0.0.e47992d-2) unstable; urgency=low

  * Update to 27e0f87, build with gnuradio 3.7.2.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 01 Jan 2014 16:24:50 -0500

gr-air-modes (0.0.0.e47992d-1) unstable; urgency=low

  * New upstream (Closes: #726776)
  * Match GNU Radio live distribution version

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 18 Oct 2013 00:25:07 -0400

=== debian/control ===
Source: gr-air-modes
Section: libdevel
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config, gnuradio (>=3.7), gnuradio-dev (>= 3.7),
 gr-osmosdr, libsqlite3-dev, libboost-all-dev, liblog4cpp5-dev, libuhd-dev, doxygen, swig,
 libzmq-dev, python-zmq, python-qt4, python-qt4-dev, pyqt4-dev-tools, libqwt5-qt4-dev
Standards-Version: 3.9.4
Homepage: https://github.com/bistromath/gr-air-modes
Vcs-Git: https://github.com/bistromath/gr-air-modes.git

Package: gr-air-modes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-qt4, python-zmq, libair-modes0 (=${binary:Version})
Recommends: gnuradio, gr-osmosdr, python-numpy, python-scipy
Description: Gnuradio Mode-S/ADS-B radio
 A software-defined radio receiver for Mode S
 transponder signals, including ADS-B reports from equipped aircraft.
 .
 The main application is modes_rx.
 .
 Multiple output formats are supported:
  * Raw (or minimally processed) output of packet data
  * Parsed text
  * SQLite database
  * KML for use with Google Earth
  * SBS-1-compatible output for use with e.g. PlanePlotter or Virtual
    Radar Server
  * FlightGear multiplayer interface for real-time display of traffic
    within the simulator

Package: libair-modes0
Architecture: any
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gr-air-modes
Description: Gnuradio Mode-S/ADS-B radio
 A software-defined radio receiver for Mode S
 transponder signals, including ADS-B reports from equipped aircraft.
 . 
 This package provides a shared library.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\.([0-9]+),\1,p')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DCMAKE_BUILD_TYPE="Release"

override_dh_install:
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/*/*.pyc
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/*/*.pyo
	rm debian/tmp/usr/bin/uhd_modes.py
	dh_install

get-orig-source:
	git clone https://github.com/dl1ksv/gr-fcdproplus
	cd gr-fcdproplus && git archive --format=tar --prefix=gr-fcdproplus-$(VER)/  $(GITREV) | gzip > ../gr-fcdproplus_$(VER).orig.tar.gz
	rm -rf gr-fcdproplus

## gr-air-modes 0.0.1.514414f

=== debian/changelog ===
gr-air-modes (0.0.1.514414f-5) unstable; urgency=medium

  * fix swig by PROPERTY SWIG_MODULE_NAME (Closes: #819607)
  * rebuild on kfreesbd (Closes: #822123)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 01 May 2016 09:30:12 -0400

gr-air-modes (0.0.1.514414f-4) unstable; urgency=medium

  * rebuild using libzmq3-dev (Closes: #818221)
  * rebuild in sid (Closes: #818452)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 22 Mar 2016 12:10:38 -0400

gr-air-modes (0.0.1.514414f-3) unstable; urgency=medium

  * rebuild using gnuradio 3.7.9

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 14 Jan 2016 21:15:37 -0500

gr-air-modes (0.0.1.514414f-2) unstable; urgency=medium

  * Lintian pre-depnds fixes

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 28 Nov 2015 23:28:30 -0500

gr-air-modes (0.0.1.514414f-1) unstable; urgency=low

  * New upstream (commit 514414f) using gr-osmosdr 0.1.4, gnuradio 3.7.8

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 Sep 2015 17:02:49 -0400

gr-air-modes (0.0.0.e47992d-5) unstable; urgency=low

  * rebuild using gr-osmosdr 0.1.3, gnuradio 3.7.5

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 05 Sep 2014 22:36:14 -0400

gr-air-modes (0.0.0.e47992d-4) unstable; urgency=low

  * Update to cc0fa18

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 14 May 2014 00:05:08 -0400

gr-air-modes (0.0.0.e47992d-3~bpo70~1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 03 Mar 2014 10:53:37 -0500

=== debian/control ===
Source: gr-air-modes
Section: libdevel
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               doxygen,
               gnuradio (>=3.7.9),
               gnuradio-dev (>= 3.7.9),
               gr-osmosdr (>=0.1.4),
               libboost-all-dev,
               liblog4cpp5-dev,
               libqwt5-qt4-dev,
               libsqlite3-dev,
               libuhd-dev,
	       libzmq-dev,
               pkg-config,
               pyqt4-dev-tools,
               python-qt4,
               python-qt4-dev,
               python-zmq,
               swig
Standards-Version: 3.9.6
Homepage: https://github.com/bistromath/gr-air-modes
Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gr-air-modes.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-gr-air-modes.git/

Package: gr-air-modes
Architecture: any
Depends: libair-modes0 (=${binary:Version}),
         python,
         python-qt4,
         python-zmq,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnuradio, gr-osmosdr, python-numpy, python-scipy
Description: Gnuradio Mode-S/ADS-B radio
 A software-defined radio receiver for Mode S
 transponder signals, including ADS-B reports from equipped aircraft.
 .
 The main application is modes_rx.
 .
 Multiple output formats are supported:
  * Raw (or minimally processed) output of packet data
  * Parsed text
  * SQLite database
  * KML for use with Google Earth
  * SBS-1-compatible output for use with e.g. PlanePlotter or Virtual
    Radar Server
  * FlightGear multiplayer interface for real-time display of traffic
    within the simulator

Package: libair-modes0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-air-modes
Description: Gnuradio Mode-S/ADS-B radio - library
 A software-defined radio receiver for Mode S
 transponder signals, including ADS-B reports from equipped aircraft.
 .
 This package provides a shared library.

## gr-air-modes 0.0.2.65e5bd1

=== debian/changelog ===
gr-air-modes (0.0.2.65e5bd1-1ubuntu1) yakkety; urgency=low

  * Sync from Debian unstable.
  * Revert library package rename, since this was not transitioned in Debian.
    Keep Conflicts/Replaces against the renamed library; this delta can be
    dropped once 18.04 releases.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2016 17:46:49 -0700

gr-air-modes (0.0.2.65e5bd1-1) unstable; urgency=medium

  * New upstream git describe --tags is 3.6-65-g65e5bd1
  * really fix build-depends (Closes: #824550)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 17 May 2016 16:41:50 -0400

gr-air-modes (0.0.0.e47992d-5ubuntu4) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Apr 2016 21:43:33 +0000

gr-air-modes (0.0.0.e47992d-5ubuntu3) xenial; urgency=medium

  * No-change rebuild against new gnuradio.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jan 2016 16:24:51 +0100

gr-air-modes (0.0.0.e47992d-5ubuntu2) wily; urgency=medium

  * No-change rebuild against new libuhd.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Sep 2015 17:54:34 +0200

gr-air-modes (0.0.0.e47992d-5ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 03:32:31 +0000

gr-air-modes (0.0.0.e47992d-5build1) vivid; urgency=medium

  * Rebuild against gnuradio 3.7.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Nov 2014 12:53:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,36 @@
 Source: gr-air-modes
 Section: libdevel
 Priority: optional
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0~),
                doxygen,
-               gnuradio (>=3.7.9),
-               gnuradio-dev (>= 3.7.9),
+               gnuradio (>=3.7.9.1),
+               gnuradio-dev (>= 3.7.9.1),
                gr-osmosdr (>=0.1.4),
-               libboost-all-dev,
+               libboost-atomic-dev,
+               libboost-chrono-dev,
+               libboost-date-time-dev,
+               libboost-dev,
+               libboost-filesystem-dev,
+               libboost-program-options-dev,
+               libboost-system-dev,
+               libboost-test-dev,
+               libboost-thread-dev,
                liblog4cpp5-dev,
                libqwt5-qt4-dev,
                libsqlite3-dev,
-               libuhd-dev,
-	       libzmq-dev,
                pkg-config,
                pyqt4-dev-tools,
                python-qt4,
                python-qt4-dev,
                python-zmq,
                swig
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/bistromath/gr-air-modes
-Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gr-air-modes.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-gr-air-modes.git/
+Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-air-modes.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-air-modes.git/
 
 Package: gr-air-modes
 Architecture: any
@@ -55,6 +62,9 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: gr-air-modes
+Conflicts: libair-modes0v5
+Replaces: libair-modes0v5
+Provides: libair-modes0v5
 Description: Gnuradio Mode-S/ADS-B radio - library
  A software-defined radio receiver for Mode S
  transponder signals, including ADS-B reports from equipped aircraft.

## gr-air-modes 0.0.2.c29eb60

=== apps/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
# 
# This file is part of GNU Radio
# 
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
# 
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

include(GrPython)

GR_PYTHON_INSTALL(
    PROGRAMS
    modes_rx
    modes_gui
    uhd_modes.py
    DESTINATION bin
)

=== docs/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
# 
# This file is part of GNU Radio
# 
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
# 
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup dependencies
########################################################################
find_package(Doxygen)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_DOXYGEN)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(doxygen)

endif(ENABLE_DOXYGEN)

=== lib/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

add_library(air_modes SHARED
    preamble_impl.cc
    slicer_impl.cc
    modes_crc.cc
)
target_link_libraries(air_modes ${Boost_LIBRARIES} ${GNURADIO_RUNTIME_LIBRARIES})
set_target_properties(air_modes PROPERTIES DEFINE_SYMBOL "AIR_MODES_EXPORTS")
set_target_properties(air_modes PROPERTIES SOVERSION "${gr-gr-air-modes_VERSION_MAJOR}")
set_target_properties(air_modes PROPERTIES VERSION "${gr-gr-air-modes_VERSION_MAJOR}.${gr-gr-air-modes_VERSION_MINOR}")

########################################################################
# Install built library files
########################################################################
install(TARGETS air_modes
    LIBRARY DESTINATION lib${LIB_SUFFIX} # .so/.dylib file
    ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

########################################################################
# Build and register unit test
########################################################################
#find_package(Boost COMPONENTS unit_test_framework)

#include(GrTest)
#set(GR_TEST_TARGET_DEPS gnuradio-gr-air-modes)
#turn each test cpp file into an executable with an int main() function
#add_definitions(-DBOOST_TEST_DYN_LINK -DBOOST_TEST_MAIN)

#add_executable(qa_gr-air-modes_square_ff qa_gr-air-modes_square_ff.cc)
#target_link_libraries(qa_gr-air-modes_square_ff gnuradio-gr-air-modes ${Boost_LIBRARIES})
#GR_ADD_TEST(qa_gr-air-modes_square_ff qa_gr-air-modes_square_ff)

#add_executable(qa_gr-air-modes_square2_ff qa_gr-air-modes_square2_ff.cc)
#target_link_libraries(qa_gr-air-modes_square2_ff gnuradio-gr-air-modes ${Boost_LIBRARIES})
#GR_ADD_TEST(qa_gr-air-modes_square2_ff qa_gr-air-modes_square2_ff)

=== swig/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
 #set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/gr-air-modes_swig_doc.i)
 #set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include)
 
-GR_SWIG_MAKE(air_modes_swig air_modes.i)
+GR_SWIG_MAKE(air_modes_swig air_modes_swig.i)
 
 ########################################################################
 # Install the build swig module

=== debian/changelog ===
gr-air-modes (0.0.2.c29eb60-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Keep Conflicts/Replaces against renamed library; this delta can be
      dropped once 18.04 releases.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Oct 2017 11:57:18 +0100

gr-air-modes (0.0.2.c29eb60-2) unstable; urgency=medium

  * New upstream git 3.6-80-gc29eb60
  * nuild with gnuradio 3.7.11

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 12 Sep 2017 01:11:45 -0400

gr-air-modes (0.0.2.c29eb60-1ubuntu3) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 03 Nov 2016 11:03:13 +0000

gr-air-modes (0.0.2.c29eb60-1ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 21:51:42 +0000

gr-air-modes (0.0.2.c29eb60-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Keep Conflicts/Replaces against renamed library; this delta can be
      dropped once 18.04 releases.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Jul 2016 10:17:16 -0700

gr-air-modes (0.0.2.c29eb60-1) unstable; urgency=medium

  * New upstream git 3.6-70-gc29eb60
  * Upstream swig fixes (Closes: #830486)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Jul 2016 20:59:11 -0400

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9.0.0~),
+               debhelper (>= 10),
                doxygen,
-               gnuradio (>=3.7.9.1),
-               gnuradio-dev (>= 3.7.9.1),
-               gr-osmosdr (>=0.1.4),
+               gnuradio-dev (>= 3.7.11),
+               gr-osmosdr (>=0.1.4-13),
                libboost-atomic-dev,
                libboost-chrono-dev,
                libboost-date-time-dev,
@@ -27,7 +26,7 @@
                python-qt4-dev,
                python-zmq,
                swig
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/bistromath/gr-air-modes
 Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-air-modes.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-air-modes.git/

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.([0-f]+),\1,p')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DCMAKE_BUILD_TYPE="Release" -DPYTHON_EXECUTABLE:STRING="/usr/bin/python"

override_dh_install:
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/*/*.pyc
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/*/*.pyo
	rm debian/tmp/usr/bin/uhd_modes.py
	dh_install

get-orig-source:
	git clone https://github.com/bistromath/gr-air-modes.git
	cd gr-air-modes && git archive --format=tar --prefix=gr-air-modes-$(VER)/  $(GITREV) | xz > ../gr-air-modes_$(VER).orig.tar.xz
	rm -rf gr-air-modes

## gr-air-modes 0.0.20190917

=== CMakeLists.txt ===
# Copyright 2011,2013 Free Software Foundation, Inc.
# 
# This file is part of GNU Radio
# 
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
# 
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 3.8)
project(gr-air-modes CXX C)
enable_testing()

#install to PyBOMBS target prefix if defined
if(DEFINED ENV{PYBOMBS_PREFIX})
    set(CMAKE_INSTALL_PREFIX $ENV{PYBOMBS_PREFIX})
    message(STATUS "PyBOMBS installed GNU Radio. Setting CMAKE_INSTALL_PREFIX to $ENV{PYBOMBS_PREFIX}")
endif()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

#make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Set the version information here
set(VERSION_MAJOR 1)
set(VERSION_API    0)
set(VERSION_ABI 0)
set(VERSION_PATCH git)

# Set cmake policies.
# This will suppress developer warnings during the cmake process that can occur
# if a newer cmake version than the minimum is used.
cmake_policy(SET CMP0011 NEW)

# Enable generation of compile_commands.json for code completion engines
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

########################################################################
# Compiler specific setup
########################################################################
if((CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR
    CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_CXX_STANDARD 11)
ELSEIF(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_CXX_STANDARD 11)
ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_CXX_STANDARD 11)
ELSE()
    message(WARNING "C++ standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

IF(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_C_STANDARD 11)
ELSE()
    message(WARNING "C standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

########################################################################
# Find gnuradio build dependencies
########################################################################
find_package(Gnuradio "3.8" REQUIRED)
include(GrVersion)

include(GrPlatform) #define LIB_SUFFIX

if(NOT CMAKE_MODULES_DIR)
  set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

set(GR_INCLUDE_DIR      include/foo)
set(GR_CMAKE_DIR        ${CMAKE_MODULES_DIR}/foo)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
            BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/gr_air_modes)
add_subdirectory(lib)
add_subdirectory(swig)
add_subdirectory(python)
add_subdirectory(grc)
add_subdirectory(apps)
add_subdirectory(docs)
add_subdirectory(res)

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
# 
# This file is part of GNU Radio
# 
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
# 
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

#install(FILES
#    gr-air-modes_square_ff.xml
#    gr-air-modes_square2_ff.xml
#    DESTINATION share/gnuradio/grc/blocks
#)

=== lib/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

add_library(air_modes SHARED
    preamble_impl.cc
    slicer_impl.cc
    modes_crc.cc
)
target_link_libraries(air_modes gnuradio::gnuradio-runtime)
target_include_directories(air_modes
    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>
    PUBLIC $<INSTALL_INTERFACE:include>
  )
set_target_properties(air_modes PROPERTIES DEFINE_SYMBOL "AIR_MODES_EXPORTS")
set_target_properties(air_modes PROPERTIES SOVERSION "${VERSION_MAJOR}")
set_target_properties(air_modes PROPERTIES VERSION "${VERSION_MAJOR}.${VERSION_MINOR}")

if(APPLE)
    set_target_properties(air_modes PROPERTIES
        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
    )
endif(APPLE)

########################################################################
# Install built library files
########################################################################
include(GrMiscUtils)
GR_LIBRARY_FOO(air_modes)

########################################################################
# Print summary
########################################################################
message(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Building for version: ${VERSION} / ${LIBVER}")

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,7 @@
     flightgear.py
     gui_model.py
     kml.py
+    modes_types.py
     parse.py
     msprint.py
     radio.py
@@ -47,7 +48,6 @@
     rx_path.py
     sbs1.py
     sql.py
-    types.py
     zmq_socket.py
     Quaternion.py
     DESTINATION ${GR_PYTHON_DIR}/air_modes

=== swig/CMakeLists.txt ===
--- 
+++ 
@@ -31,13 +31,10 @@
 ########################################################################
 # Setup swig generation
 ########################################################################
-foreach(incdir ${GNURADIO_RUNTIME_INCLUDE_DIRS})
-    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/gnuradio/swig)
-endforeach(incdir)
+set(GR_SWIG_INCLUDE_DIRS $<TARGET_PROPERTY:gnuradio::runtime_swig,INTERFACE_INCLUDE_DIRECTORIES>)
+set(GR_SWIG_TARGET_DEPS gnuradio::runtime_swig)
 
 set(GR_SWIG_LIBRARIES air_modes)
-#set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/gr-air-modes_swig_doc.i)
-#set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include)
 
 GR_SWIG_MAKE(air_modes_swig air_modes_swig.i)

=== docs/doxygen/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
# 
# This file is part of GNU Radio
# 
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
# 
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Create the doxygen configuration file
########################################################################
file(TO_NATIVE_PATH ${CMAKE_SOURCE_DIR} top_srcdir)
file(TO_NATIVE_PATH ${CMAKE_BINARY_DIR} top_builddir)
file(TO_NATIVE_PATH ${CMAKE_SOURCE_DIR} abs_top_srcdir)
file(TO_NATIVE_PATH ${CMAKE_BINARY_DIR} abs_top_builddir)

set(HAVE_DOT ${DOXYGEN_DOT_FOUND})
set(enable_html_docs YES)
set(enable_latex_docs NO)
set(enable_xml_docs YES)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
@ONLY)

set(BUILT_DIRS ${CMAKE_CURRENT_BINARY_DIR}/xml ${CMAKE_CURRENT_BINARY_DIR}/html)

########################################################################
# Make and install doxygen docs
########################################################################
add_custom_command(
    OUTPUT ${BUILT_DIRS}
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating documentation with doxygen"
)

add_custom_target(doxygen_target ALL DEPENDS ${BUILT_DIRS})

install(DIRECTORY ${BUILT_DIRS} DESTINATION ${GR_PKG_DOC_DIR})

=== include/gr_air_modes/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    preamble.h
    slicer.h
    types.h
    api.h
    DESTINATION include/gr_air_modes
)

=== debian/changelog ===
gr-air-modes (0.0.20190917-2) unstable; urgency=medium

  * depend upon dh-python since python3-dev no longer does

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 15 Jan 2020 00:20:50 -0500

gr-air-modes (0.0.20190917-1) unstable; urgency=medium

  * New upstream for gnuradio 3.8 and Python3 (Closes: #936650)
  * No longer providing GUI (Closes: #858774)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Sep 2019 21:49:40 -0400

gr-air-modes (0.0.2.c29eb60-3) unstable; urgency=medium

  * qt5 build

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 22 Nov 2017 16:14:30 -0500

=== debian/control ===
Source: gr-air-modes
Section: libdevel
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 12~),
	       dh-python,
               doxygen,
               gnuradio-dev,
               gr-osmosdr,
	       libgmp-dev,
               liblog4cpp5-dev,
	       liborc-0.4-dev,
               libqwt-qt5-dev,
               libsqlite3-dev,
               pkg-config,
	       python3-dev,
               swig
Standards-Version: 4.4.0
Homepage: https://github.com/bistromath/gr-air-modes
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-sdrangelove
Vcs-Git: https://salsa.debian.org/bottoms/pkg-sdrangelove.git

Package: gr-air-modes
Architecture: any
Depends: libair-modes1 (=${binary:Version}),
         python3,
         python3-zmq,
         ${misc:Depends},
	 ${python3:Depends},
         ${shlibs:Depends}
Recommends: gnuradio, gr-osmosdr, python3-numpy, python3-scipy
Description: Gnuradio Mode-S/ADS-B radio
 A software-defined radio receiver for Mode S
 transponder signals, including ADS-B reports from equipped aircraft.
 .
 Multiple output formats are supported:
  * Raw (or minimally processed) output of packet data
  * Parsed text
  * SQLite database
  * KML for use with Google Earth
  * SBS-1-compatible output for use with e.g. PlanePlotter or Virtual
    Radar Server
  * FlightGear multiplayer interface for real-time display of traffic
    within the simulator

Package: libair-modes1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-air-modes
Description: Gnuradio Mode-S/ADS-B radio - library
 A software-defined radio receiver for Mode S
 transponder signals, including ADS-B reports from equipped aircraft.
 .
 This package provides a shared library.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.([0-f]+),\1,p')

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DCMAKE_BUILD_TYPE="Release" -DPYTHON_EXECUTABLE:STRING="/usr/bin/python3"

override_dh_install:
	rm -f debian/tmp/usr/lib/python3/dist-packages/*/*.pyc
	rm -f debian/tmp/usr/lib/python3/dist-packages/*/*.pyo
	rm debian/tmp/usr/bin/uhd_modes.py
	dh_install
